GDB_MI2 high cpu usage (One core is fully loaded)

12/21/2013 01:53 PM - Zbigniew Rebacz

Status: Approved Start date: 12/21/2013

Priority: High Due date:

Assignee: Miroslav Fidler % Done: 100%

Category: IDE Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

It seems that GDB_MI2 has got infinity loop and one core is always fully loaded when debugging.

    -  I recommend "top" command to check cpu usage by application on GNU/Linux.

History

#1 - 12/21/2013 02:03 PM - Zbigniew Rebacz

- Assignee deleted (Miroslav Fidler)

#2 - 12/22/2013 11:15 AM - Miroslav Fidler

I have to ask for more detailed description (here everything seems to work just fine).

#3 - 12/22/2013 01:51 PM - Zbigniew Rebacz

- File GDB_MI2_High_CPU_Usage.png added

Hello Mirek,

Now, I know how to reproduce this bug:

1. Turn on TheIDE.

2. Select any package.

3. Debug with GDB_MI2.

4. Click on TheIDE (If you don't click on IDE the CPU usage will be on normal level (around 2-3% CPU usage)).

5. Measuring CPU usage using your favorite application like "top".

6. Stop debugging.

7. From now, every debug session associated with high CPU usage.

Personally, I think that the main problem is that GDB_MI2 completely blocks TheIDE interface. Above situation can contribute to bugs like this.like this.

#4 - 12/26/2013 11:47 AM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee set to Zbigniew Rebacz

Reproduced and fixed. Thanks for detailed bug report.

#5 - 12/26/2013 02:02 PM - Zbigniew Rebacz
- Status changed from Ready for QA to Approved

#6 - 12/28/2013 11:54 PM - Zbigniew Rebacz

- Status changed from Approved to New

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

Hello Mirek,

IDE can be still lock by clicking on "Autos"(Enable by default) "Local", "Watches" tabs. Only "Explorer" tab dosen't block ide.

#7 - 02/04/2014 08:40 PM - Zbigniew Rebacz

- Status changed from New to In Progress

#8 - 02/07/2014 02:53 PM - Massimo Del Fedele

- Status changed from In Progress to Ready for QA

- % Done changed from 0 to 100

#9 - 02/09/2014 02:31 PM - Miroslav Fidler

- Status changed from Ready for QA to Approved

#10 - 02/27/2014 09:24 AM - Massimo Del Fedele

- Status changed from Approved to Ready for QA

Gdb_MI2 was completely refactored, with data display in background (timed callback or MT).

Most lags/cpu usage should be gone now.

Please re-test.

#11 - 03/10/2014 01:16 PM - Miroslav Fidler

- Status changed from Ready for QA to Approved
